## lvm2 2.02.51-4maemo1

=== liblvm/Makefile ===
#
# Copyright (C) 2001-2004 Sistina Software, Inc. All rights reserved.
# Copyright (C) 2004-2009 Red Hat, Inc. All rights reserved.
#
# This file is part of LVM2.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

srcdir = .
top_srcdir = ..


SOURCES =\
	lvm_base.c \
	lvm_lv.c \
	lvm_pv.c \
	lvm_vg.c

LIB_NAME = liblvm2app
LIB_VERSION = $(LIB_VERSION_APP)
VERSIONED_SHLIB = $(LIB_NAME).$(LIB_SUFFIX).$(LIB_VERSION_APP)

ifeq ("no", "yes")
  LIB_STATIC = $(LIB_NAME).a
endif

ifeq ("so","dylib")
  LIB_SHARED = $(LIB_NAME).dylib
else
  LIB_SHARED = $(LIB_NAME).so
endif

CLEAN_TARGETS += liblvm.cflow

include $(top_srcdir)/make.tmpl

LIBS += -ldevmapper -llvm-internal

$(VERSIONED_SHLIB): %.$(LIB_SUFFIX).$(LIB_VERSION_APP): %.$(LIB_SUFFIX)
	rm -f $@
	$(LN_S) $< $@

.PHONY: install_dynamic install_static install_include install_pkgconfig \
	distclean_lib distclean

INSTALL_TYPE = install_dynamic

ifeq ("no", "yes")
  INSTALL_TYPE += install_static
endif

ifeq ("no", "yes")
  INSTALL_TYPE += install_pkgconfig
endif

install: $(INSTALL_TYPE) install_include

install_include:
	$(INSTALL) -D $(OWNER) $(GROUP) -m 444 lvm2app.h $(includedir)/lvm2app.h

install_dynamic: $(LIB_SHARED)
	$(INSTALL) -D $(OWNER) $(GROUP) -m 555 $(STRIP) $< \
		$(libdir)/$(LIB_SHARED).$(LIB_VERSION_APP)
	$(LN_S) -f $(LIB_SHARED).$(LIB_VERSION_APP) \
		$(libdir)/$(LIB_SHARED)

install_static: $(LIB_STATIC)
	$(INSTALL) -D $(OWNER) $(GROUP) -m 555 $(STRIP) $< \
		$(libdir)/$(LIB_STATIC).$(LIB_VERSION_APP)
	$(LN_S) -f $(LIB_STATIC).$(LIB_VERSION_APP) $(libdir)/$(LIB_STATIC)

install_pkgconfig:
	$(INSTALL) -D $(OWNER) $(GROUP) -m 444 $(LIB_NAME).pc \
		$(usrlibdir)/pkgconfig/lvm2app.pc

liblvm.cflow: $(SOURCES)
	set -e; (echo -n "SOURCES += "; \
		 echo $(SOURCES) | \
		 sed "s/^/ /;s/ / $(top_srcdir)\/liblvm\//g;s/$$//"; \
		 ) > $@

cflow: liblvm.cflow

CLEAN_TARGETS += $(LIB_NAME).$(LIB_SUFFIX)

distclean_lib:
	$(RM) $(LIB_NAME).pc

distclean: distclean_lib

=== udev/Makefile ===
#
# Copyright (C) 2009 Red Hat, Inc. All rights reserved.
#
# This file is part of LVM2.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU General Public License v.2.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

srcdir = .
top_srcdir = ..


DM_RULES=10-dm.rules 12-dm-disk.rules 95-dm-notify.rules
LVM_RULES=11-lvm.rules
DM_DIR=$(shell grep "\#define DM_DIR" $(top_srcdir)/libdm/misc/dm-ioctl.h | awk '{print $$3}')

CLEAN_TARGETS=10-dm.rules

include $(top_srcdir)/make.tmpl

%: %.in
	$(SED) -e "s/(DM_DIR)/$(DM_DIR)/" $< >$@

install_lvm2: $(LVM_RULES)
	@echo "Installing $(LVM_RULES) in $(udevdir)"
	@for f in $(LVM_RULES); \
	do \
	   $(RM) $(udevdir)/$$f; \
	   $(INSTALL) -c -D $(OWNER) $(GROUP) -m 644 $$f $(udevdir)/$$f; \
	done

install_device-mapper: $(DM_RULES)
	@echo "Installing $(DM_RULES) in $(udevdir)"
	@for f in $(DM_RULES); \
	do \
	   $(RM) $(udevdir)/$$f; \
	   $(INSTALL) -c -D $(OWNER) $(GROUP) -m 644 $$f $(udevdir)/$$f; \
	done

install: install_lvm2 install_device-mapper

## lvm2 2.02.51-4maemo0

=== debian/changelog ===
lvm2 (2.02.51-4maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 23 Sep 2012 16:38:26 +0200

lvm2 (2.02.51-4) unstable; urgency=low

  * Fixes: NB#229946 - libdevicemapper0 is missing debug symbols

 -- Tomi Suviola <tomi.suviola@nokia.com>  Thu, 10 Mar 2011 15:20:00 +0300

lvm2 (2.02.51-3) unstable; urgency=low

  * Fixes: NB#143070 - lvm2 does not provide shlibs files for libraries.

 -- Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>  Mon, 23 Nov 2009 14:30:00 +0300

lvm2 (2.02.51-2) unstable; urgency=low

  * Fixes: NB#143010 - cryptsetup-1.0.7 fails to build under the Platform SDK (SB2).

 -- Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>  Tue, 20 Oct 2009 15:00:00 +0300

lvm2 (2.02.51-1) unstable; urgency=low

  * Initial release 

 -- Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>  Wed, 16 Sep 2009 15:19:53 +0300

=== debian/control ===
Source: lvm2
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2
Section: libs

Package: libdevicemapper0-dev
Section: libdevel
Architecture: any
Depends: libdevicemapper0 (= ${Source-Version})
Description: Development package for device mapper
 Development header and dmsetup appliction can be found in this package.

Package: libdevicemapper0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library package for the Linux Device Mapper. 

Package: libdevicemapper0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdevicemapper0 (= ${binary:Version})                                 
Description: Libdevicemapper debug symbols

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -plibdevicemapper0 --dbg-package=libdevicemapper0-dbg
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lvm2 2.02.51-4maemo1

=== debian/changelog ===
lvm2 (2.02.51-4maemo1) unstable; urgency=low
  * Optified
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sun, 23 Sep 2012 17:00:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
 XSBC-Original-Maintainer: Popirtac Vasile Aurel <ext-aurel.popirtac@nokia.com>
-Build-Depends: debhelper (>= 5), autotools-dev
+Build-Depends: debhelper (>= 5), autotools-dev, maemo-optify
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -108,6 +108,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## lvm2 2.02.66

=== debian/changelog ===
lvm2 (2.02.66-5) unstable; urgency=low

  * Remove old libdevmapper1.02 init script on upgrade. (closes: #549316)
  * Conflict against libdevmapper1.02.

 -- Bastian Blank <waldi@debian.org>  Sun, 23 Jan 2011 18:30:01 +0100

lvm2 (2.02.66-4) unstable; urgency=low

  * Make libdevmapper break old lvm2, it missuses the udev sync
    interface. (closes: #599596)
  * Make lvm2 break old grub-common. (closes: #588026)
  * Use correct binary name in clvm init script. (closes: #600089)

 -- Bastian Blank <waldi@debian.org>  Sat, 30 Oct 2010 18:04:20 +0200

lvm2 (2.02.66-3) unstable; urgency=high

  * Import upstream version 2.02.72:
    - CVE-2010-2526: Fix insecure communication between lvm2 and clvmd.
     (Closes: #591204)          
    - Only use single node clvm if explicitly requested.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Aug 2010 14:44:02 +0200

lvm2 (2.02.66-2) unstable; urgency=medium

  * Make libdevmapper1.02.1 depend on dmsetup. libdevmapper needs new enough
    udev rules, which needs dmsetup for now. (closes: #585786)
    - Set urgency to medium, as this can break the boot.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jun 2010 11:39:39 +0200

lvm2 (2.02.66-1) unstable; urgency=low

  * New upstream version.
  * Define and use a union for semaphore access as mandated by the standard.
    (closes: #583677)
  * Don't longer overwrite names of dm devices.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Jun 2010 11:47:51 +0200

lvm2 (2.02.64-1) unstable; urgency=low

  * New upstream version.
  * Don't longer build static libraries.
  * Fix readline support. (closes: #575640)
  * Built-in cluster locking.
  * Build liblvm2app and liblvm2cmd. (closes: #564810)
  * Adopt some upstream udev rule changes.
  * Enable udev sync, remove explicit udev dependency, bump dmsetup dependency
    to get it working. (closes: #543163)

 -- Bastian Blank <waldi@debian.org>  Wed, 19 May 2010 13:33:09 +0000

lvm2 (2.02.62-1) unstable; urgency=low

  * New upstream version.
  * Use 3.0 (quilt) source format.
    - Fix permission of hook script. (closes: 569286)
  * Remove DM_HIDE from the documentation. (closes: #573154)

 -- Bastian Blank <waldi@debian.org>  Sat, 20 Mar 2010 18:09:20 +0100

lvm2 (2.02.54-1) unstable; urgency=low

  * New upstream version.
  * Remove notify rules, unused for now.
  * Add better documentation about the udev rules.
  * Update list of to be ignored hidden lvm subvolumes.
  * Make libdevmapper-dev depend against libselinux1-dev.
  * Update complete udev ruleset.
  * Remove conflict against devicekit-disks.
  * Use bash for new script.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Nov 2009 18:20:39 +0100

lvm2 (2.02.53-2) unstable; urgency=medium

  * Fix variable assignment in udev rules. (closes: #550100, RC bugfix)
  * Install udev rules into initramfs.
  * Add initramfs-tools hook to dmsetup.
  * Trigger initramfs update.

 -- Bastian Blank <waldi@debian.org>  Thu, 08 Oct 2009 18:17:43 +0200

lvm2 (2.02.53-1) unstable; urgency=low

  * New upstream version.
  * Make dmsetup conflicts against devicekit-disks, it duplicates the udev
    rules.
  * Add possibility to hide creation of extra symlinks via udev.
  * Ignore temporary cryptsetup devices.

 -- Bastian Blank <waldi@debian.org>  Wed, 30 Sep 2009 05:27:35 +0200

lvm2 (2.02.52-1) unstable; urgency=low

  * New upstram version.
  * Fix clvm init script. (closes: #542169)
  * Remove dmsetup export support, unused.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Sep 2009 17:44:29 +0000

lvm2 (2.02.44-3) unstable; urgency=low

  * Merge remaining settings for devmapper.
    - Fix device group and mode. (closes: #518361)
    - Disable selinux support in udeb. (closes: #518527)

 -- Bastian Blank <waldi@debian.org>  Tue, 10 Mar 2009 11:32:36 +0100

lvm2 (2.02.44-2) unstable; urgency=low

  * Fix implicit pointer conversion. (closes: #516867)
  * Drop unused ncurses dependency.

 -- Bastian Blank <waldi@debian.org>  Sat, 28 Feb 2009 11:51:01 +0100

lvm2 (2.02.44-1) unstable; urgency=low

  * New upstream version.
    - Merge devmapper sources.
  * Add devmapper binary packages.
  * Use debhelper compat level 7.
  * Add new libdevmapper symbols.
  * Update copyright file.

 -- Bastian Blank <waldi@debian.org>  Mon, 23 Feb 2009 20:51:17 +0100

lvm2 (2.02.39-6) unstable; urgency=low

  * Readd a vgchange binary into the initramfs. At least cryptsetup depends on
    this.

 -- Bastian Blank <waldi@debian.org>  Sat, 22 Nov 2008 16:16:57 +0100

lvm2 (2.02.39-5) unstable; urgency=low

  * Install lvm.conf into initramfs. (closes: #439761)
  * Also ignore locking in initramfs.
  * Make piuparts-clean. (closes: 455115)
    - Cleanup old files on upgrade. /lib/lvm-default, /etc/lvm/.cache.
    - Cleanup dirs on remove. /etc/lvm/cache, /var/lock/lvm.
  * Recommend dmsetup.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Nov 2008 22:15:18 +0100

lvm2 (2.02.39-4) unstable; urgency=low

  * Revert locking change, it breaks too much. (closes: #506354)
  * Disable cluster support in udeb.
  * Install the binary as lvm in the initramfs. (closes: #503627)
  * Build cluster locking internal.
  * Adjust clvm documentation for the locking change.

 -- Bastian Blank <waldi@debian.org>  Fri, 21 Nov 2008 16:23:22 +0100

lvm2 (2.02.39-3) unstable; urgency=low

  * Depend against lsb-base.
  * Make clvm depend against cman.
  * Don't ignore locking failures in lvm2 init script.
  * Only activate vgs local.
  * Add clvm initscript. (closes: #336258)
  * Try to activate anything in the lvm2 postinst. (closes: #506105)

 -- Bastian Blank <waldi@debian.org>  Wed, 19 Nov 2008 11:59:06 +0100

lvm2 (2.02.39-2) unstable; urgency=low

  * Disable readline support in udeb. (closes: #491203)

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jul 2008 16:42:03 +0000

lvm2 (2.02.39-1) unstable; urgency=low

  * New upstream version.
  * Make /dev/$vgname readable by anyone, it is not private data as
    /dev/mapper is already readable.



=== debian/control ===
Source: lvm2
Section: admin
Priority: optional
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>> 4.2), automake, libcman-dev (>> 2), libdlm-dev (>> 2), libreadline5-dev, libselinux1-dev, libudev-dev, pkg-config, quilt
Standards-Version: 3.7.3
Homepage: http://sources.redhat.com/lvm2/
Vcs-Svn: svn://svn.debian.org/pkg-lvm/lvm2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-lvm/lvm2/trunk/

Package: lvm2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47)
Breaks: grub-common (<<1.98+20100527-1)
Conflicts: lvm-common
Replaces: lvm-common
Description: The Linux Logical Volume Manager
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Linux Logical Volume Manager
 This is a udeb, or a microdeb, for the debian-installer.
 .
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: clvm
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base, cman
Description: Cluster LVM Daemon for lvm2
 This package provides the clustering interface for lvm2, when used with 
 Red Hat's "cman" cluster infrastructure. It allows logical volumes to
 be created on shared storage devices (eg Fibre Channel, or iSCSI). 

Package: libdevmapper-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdevmapper1.02.1 (= ${binary:Version}), libselinux1-dev
Description: The Linux Kernel Device Mapper header files
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) header files for accessing the
 device-mapper; it allow usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1
Section: libs
Priority: required
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmsetup (>= ${binary:Version})
Breaks: lvm2 (<< 2.02.66)
Conflicts: libdevmapper1.02
Provides: libdevmapper
Description: The Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) shared library for accessing the
 device-mapper; it allows usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Linux Kernel Device Mapper userspace library
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.

Package: dmsetup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>> 2.16)
Conflicts: devicekit-disks (<< 009)
Description: The Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: dmsetup-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but EVMS, software
 raid, and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: liblvm2app2.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LVM2 application library
 This package contains the lvm2app shared library. It allows easier access
 to the basic LVM objects and provides functions to enumerate, create or
 modify them.

Package: liblvm2cmd2.02
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LVM2 command library
 This package contains the lvm2cmd shared library.

Package: liblvm2-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblvm2app2.2 (= ${binary:Version}), liblvm2cmd2.02 (= ${binary:Version}), libdevmapper-dev
Description: LVM2 libraries - development files
 This package contains files needed to develop applications that use the
 lvm2app library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION_COMPLETE := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION_UPSTREAM := $(shell echo "$(VERSION_COMPLETE)" | sed -e 's,^[0-9]*:,,' -e 's,-[^-]*$$,,')
VERSION_DEBIAN := $(shell echo "$(VERSION_COMPLETE)" | sed -e 's,^[^-]*-,,')

DEVMAPPER_ABINAME = 1.02.1
DEVMAPPER_VERSION_PLAIN = $(shell awk '{print $$1}' VERSION_DM)
DEVMAPPER_VERSION = 2:$(DEVMAPPER_VERSION_PLAIN)
DEVMAPPER_VERSION_DEBIAN = $(DEVMAPPER_VERSION)-$(VERSION_DEBIAN)
DEVMAPPER_VERSION_FILE = $(DEVMAPPER_VERSION_PLAIN)-$(VERSION_DEBIAN)

LVM2APP_ABINAME = 2.2
LVM2CMD_ABINAME = 2.02

MAKE_SELF = $(MAKE) -f debian/rules

BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

CFLAGS_UDEB := $(CFLAGS)
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS_UDEB = -g -Os
endif

CONFIGURE_FLAGS = --build $(DEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CONFIGURE_FLAGS += --host $(DEB_HOST_GNU_TYPE)
endif

CONFIGURE_FLAGS += \
	--prefix=/usr \
	--exec-prefix= \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-confdir=\$${exec_prefix}/etc

ifneq (,$(findstring $(DEB_HOST_ARCH), arm armeb hppa mips mipsel))
CONFIGURE_FLAGS += --disable-o_direct
endif

patch: $(STAMPS_DIR)/patch

$(STAMPS_DIR)/patch:
	@mkdir -p $(STAMPS_DIR)
	QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

source: $(STAMPS_DIR)/source

$(STAMPS_DIR)/source: SOURCE_FILES = $(filter-out debian .svn, $(wildcard * .[^.]*))
$(STAMPS_DIR)/source: DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/source: $(STAMPS_DIR)/patch
	rm -rf $(DIR)
	mkdir -p '$(DIR)'
	cp -a $(SOURCE_FILES) '$(DIR)'
	cd $(DIR); autoreconf
	touch $@

setup: $(STAMPS_DIR)/setup_deb $(STAMPS_DIR)/setup_udeb

$(STAMPS_DIR)/setup_deb: SOURCE_DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/setup_deb: DIR = $(BUILD_DIR)/build_deb
$(STAMPS_DIR)/setup_deb: $(STAMPS_DIR)/source
	rm -rf $(DIR)
	cp -a '$(SOURCE_DIR)' '$(DIR)'
	cd $(DIR); \
	./configure CFLAGS="$(CFLAGS)" \
		$(CONFIGURE_FLAGS) \
		--with-optimisation="" \
		--with-clvmd=cman \
		--with-cluster=internal \
		--with-device-uid=0 \
		--with-device-gid=6 \
		--with-device-mode=0660 \
		--enable-applib \
		--enable-cmdlib \
		--enable-pkgconfig \
		--enable-readline \
		--enable-udev_sync
	touch $@

$(STAMPS_DIR)/setup_udeb: SOURCE_DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/setup_udeb: DIR = $(BUILD_DIR)/build_udeb
$(STAMPS_DIR)/setup_udeb: $(STAMPS_DIR)/patch
	rm -rf $(DIR)
	cp -a '$(SOURCE_DIR)' '$(DIR)'
	cd $(DIR); \
	./configure CFLAGS="$(CFLAGS_UDEB)" \
		$(CONFIGURE_FLAGS) \
		--with-optimisation="" \
		--with-cluster=none \
		--with-lvm1=none \
		--with-pool=none \
		--disable-readline \
		--disable-selinux
	touch $@

build: $(STAMPS_DIR)/build_deb $(STAMPS_DIR)/build_udeb

build_deb: $(STAMPS_DIR)/build_deb
build_udeb: $(STAMPS_DIR)/build_udeb

.NOTPARALLEL: $(STAMPS_DIR)/build_%
$(STAMPS_DIR)/build_%: DIR = $(BUILD_DIR)/build_$*
$(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
	dh_testdir
	$(MAKE) -C $(DIR) LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
	touch $@

$(BUILD_DIR) $(STAMPS_DIR):
	@[ -d $@ ] || mkdir $@

maintainerclean:
	rm -rf $(filter-out .svn .svk debian, $(wildcard * .[^.]*))

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

$(STAMPS_DIR)/install_%: DIR = $(BUILD_DIR)/build_$*
$(STAMPS_DIR)/install_%: INSTALL_DIR = $(BUILD_DIR)/install_$*
$(STAMPS_DIR)/install_%: $(STAMPS_DIR)/build_%
	dh_testdir
	dh_testroot
	rm -rf $(INSTALL_DIR)
	$(MAKE) -C $(DIR) install DESTDIR=$(CURDIR)/$(INSTALL_DIR) LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
	touch $@

install-base-prep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_install -X .svn --sourcedir=$(INSTALL_DIR)

install-base:
	dh_installchangelogs $(if $(CHANGELOG),$(CHANGELOG),WHATS_NEW)
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(GENCONTROL_ARGS)
	dh_md5sums
	dh_builddeb $(BUILDDEB_ARGS)

install_clvm: export DH_OPTIONS = -pclvm
install_clvm: DIR = $(BUILD_DIR)/install_deb
install_clvm: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	dh_installinit --no-start -- start 63 S . start 51 0 6 .
	+$(MAKE_SELF) install-base

install_dmsetup: export DH_OPTIONS = -pdmsetup
install_dmsetup: DIR = $(BUILD_DIR)/install_deb
install_dmsetup: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"

install_dmsetup-udeb: PACKAGE_NAME = dmsetup-udeb
install_dmsetup-udeb: export DH_OPTIONS = -p$(PACKAGE_NAME)
install_dmsetup-udeb: PACKAGE_FILE = $(PACKAGE_NAME)_$(DEVMAPPER_VERSION_FILE)_$(DEB_HOST_ARCH).udeb
install_dmsetup-udeb: DIR = $(BUILD_DIR)/install_udeb
install_dmsetup-udeb: $(STAMPS_DIR)/install_udeb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	+$(MAKE_SELF) install-base \
		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"

install_libdevmapper: export DH_OPTIONS = -plibdevmapper$(DEVMAPPER_ABINAME)
install_libdevmapper: DIR = $(BUILD_DIR)/install_deb
install_libdevmapper: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	dh_makeshlibs \
		--add-udeb 'libdevmapper$(DEVMAPPER_ABINAME)-udeb' \
	       	"-Vlibdevmapper$(DEVMAPPER_ABINAME) (>= $(DEVMAPPER_VERSION))" \
		-- "-v$(DEVMAPPER_VERSION_DEBIAN)" -c2
	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"

install_libdevmapper-dev: export DH_OPTIONS = -plibdevmapper-dev
install_libdevmapper-dev: DIR = $(BUILD_DIR)/install_deb
install_libdevmapper-dev: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	+$(MAKE_SELF) install-base CHANGELOG=WHATS_NEW_DM GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"

install_libdevmapper-udeb: PACKAGE_NAME = libdevmapper$(DEVMAPPER_ABINAME)-udeb
install_libdevmapper-udeb: export DH_OPTIONS = -p$(PACKAGE_NAME)
install_libdevmapper-udeb: PACKAGE_FILE = $(PACKAGE_NAME)_$(DEVMAPPER_VERSION_FILE)_$(DEB_HOST_ARCH).udeb
install_libdevmapper-udeb: DIR = $(BUILD_DIR)/install_udeb
install_libdevmapper-udeb: $(STAMPS_DIR)/install_udeb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	+$(MAKE_SELF) install-base \
		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"

install_liblvm2app: export DH_OPTIONS = -pliblvm2app$(LVM2APP_ABINAME)
install_liblvm2app: DIR = $(BUILD_DIR)/install_deb
install_liblvm2app: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	dh_makeshlibs -V -- -c2
	+$(MAKE_SELF) install-base

install_liblvm2cmd: export DH_OPTIONS = -pliblvm2cmd$(LVM2CMD_ABINAME)
install_liblvm2cmd: DIR = $(BUILD_DIR)/install_deb
install_liblvm2cmd: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	dh_makeshlibs -V -- -c2
	+$(MAKE_SELF) install-base

install_liblvm2-dev: export DH_OPTIONS = -pliblvm2-dev
install_liblvm2-dev: DIR = $(BUILD_DIR)/install_deb
install_liblvm2-dev: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	+$(MAKE_SELF) install-base

install_lvm2: export DH_OPTIONS = -plvm2
install_lvm2: DIR = $(BUILD_DIR)/install_deb
install_lvm2: $(STAMPS_DIR)/install_deb
	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
	dh_installinit --no-start -- start 26 S . start 50 0 6 .
	+$(MAKE_SELF) install-base

install_lvm2-udeb: export DH_OPTIONS = -plvm2-udeb
install_lvm2-udeb: DIR = $(BUILD_DIR)/install_udeb
install_lvm2-udeb: $(STAMPS_DIR)/install_udeb

## lvm2 2.02.88

=== debian/changelog ===
lvm2 (2.02.88-2) unstable; urgency=low

  * Enable corosync and openais support. (closes: #563320)

 -- Bastian Blank <waldi@debian.org>  Sat, 26 Nov 2011 18:51:00 +0100

lvm2 (2.02.88-1) unstable; urgency=low

  * New upstream version.
  * Remove lvm-common conflicts and replaces.
  * Remove grub-common breakage.
  * Remove own quilt usage.
  * Move cache file to /run/lvm. (closes: #562234)
    - Remove old cache dir.
  * Move lock files to /run/lock/lvm. (closes: #263148)
  * Support status action in lvm2 init script. (closes: #643822)
  * Remove Squeeze upgrade checks.

 -- Bastian Blank <waldi@debian.org>  Thu, 20 Oct 2011 21:37:06 +0200

lvm2 (2.02.86-1) unstable; urgency=low

  * New upstream version.
  * Remove leading article from short description.
  * Update udev rules.

 -- Bastian Blank <waldi@debian.org>  Sat, 27 Aug 2011 18:45:21 +0200

lvm2 (2.02.84-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libreadline5-dev build dependency with (conservatively)
    libreadline-gplv2-dev, fixes an FTBFS. (Closes: #553807)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 25 Jul 2011 17:39:19 +0000

lvm2 (2.02.84-3) unstable; urgency=low

  * Remove udev dependency from init script. (closes: #543163)
  * Don't longer create device nodes in init script.
  * Don't longer try to stop devices on shutdown.

 -- Bastian Blank <waldi@debian.org>  Mon, 28 Mar 2011 14:42:35 +0200

lvm2 (2.02.84-2) unstable; urgency=low

  * Fix development library symlinks. (closes: #614838)
  * Update Standards-Version to 3.9.1, no changes needed.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Mar 2011 11:40:22 +0100

lvm2 (2.02.84-1) unstable; urgency=medium

  * New upstream version.
  * Adopt upstream changes in udev rules. (closes: #603710)

 -- Bastian Blank <waldi@debian.org>  Mon, 21 Feb 2011 22:53:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Priority: optional
 Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>> 4.2), automake, libcman-dev (>> 2), libdlm-dev (>> 2), libreadline5-dev, libselinux1-dev, libudev-dev, pkg-config, quilt
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>> 7), automake, libcman-dev (>> 2), libcorosync-dev, libdlm-dev (>> 2), libreadline-gplv2-dev, libselinux1-dev, libudev-dev, openais-dev, pkg-config
+Standards-Version: 3.9.1
 Homepage: http://sources.redhat.com/lvm2/
 Vcs-Svn: svn://svn.debian.org/pkg-lvm/lvm2/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-lvm/lvm2/trunk/
 
 Package: lvm2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47)
-Breaks: grub-common (<<1.98+20100527-1)
-Conflicts: lvm-common
-Replaces: lvm-common
-Description: The Linux Logical Volume Manager
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, dmsetup (>> 2:1.02.47), initscripts (>= 2.88dsf-13.3)
+Breaks: initramfs-tools (<< 0.99)
+Description: Linux Logical Volume Manager
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
  supports enterprise level volume management of disk and disk subsystems
  by grouping arbitrary disks into volume groups. The total capacity of
@@ -27,7 +25,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: The Linux Logical Volume Manager
+Description: Linux Logical Volume Manager
  This is a udeb, or a microdeb, for the debian-installer.
  .
  This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
@@ -39,17 +37,18 @@
 Package: clvm
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base, cman
+Depends: ${shlibs:Depends}, ${misc:Depends}, lvm2 (= ${binary:Version}), lsb-base, corosync | cman
 Description: Cluster LVM Daemon for lvm2
- This package provides the clustering interface for lvm2, when used with 
- Red Hat's "cman" cluster infrastructure. It allows logical volumes to
- be created on shared storage devices (eg Fibre Channel, or iSCSI). 
+ This package provides the clustering interface for lvm2, when used with
+ Red Hat's "cman" or corosync based (eg Pacemaker) cluster infrastructure.
+ It allows logical volumes to be created on shared storage devices
+ (eg Fibre Channel, or iSCSI).
 
 Package: libdevmapper-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libdevmapper1.02.1 (= ${binary:Version}), libselinux1-dev
-Description: The Linux Kernel Device Mapper header files
+Description: Linux Kernel Device Mapper header files
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
@@ -68,7 +67,7 @@
 Breaks: lvm2 (<< 2.02.66)
 Conflicts: libdevmapper1.02
 Provides: libdevmapper
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
@@ -84,7 +83,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  This is a udeb, or a microdeb, for the debian-installer.
  .
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
@@ -97,7 +96,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>> 2.16)
 Conflicts: devicekit-disks (<< 009)
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout
@@ -111,7 +110,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: The Linux Kernel Device Mapper userspace library
+Description: Linux Kernel Device Mapper userspace library
  The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
  Team's implementation of a minimalistic kernel-space driver that handles
  volume management, while keeping knowledge of the underlying device layout

=== debian/rules ===
--- 
+++ 
@@ -47,18 +47,12 @@
 CONFIGURE_FLAGS += --disable-o_direct
 endif
 
-patch: $(STAMPS_DIR)/patch
-
-$(STAMPS_DIR)/patch:
-	@mkdir -p $(STAMPS_DIR)
-	QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
-	touch $@
-
 source: $(STAMPS_DIR)/source
 
 $(STAMPS_DIR)/source: SOURCE_FILES = $(filter-out debian .svn, $(wildcard * .[^.]*))
 $(STAMPS_DIR)/source: DIR = $(BUILD_DIR)/source
-$(STAMPS_DIR)/source: $(STAMPS_DIR)/patch
+$(STAMPS_DIR)/source:
+	@mkdir -p $(STAMPS_DIR)
 	rm -rf $(DIR)
 	mkdir -p '$(DIR)'
 	cp -a $(SOURCE_FILES) '$(DIR)'
@@ -76,11 +70,13 @@
 	./configure CFLAGS="$(CFLAGS)" \
 		$(CONFIGURE_FLAGS) \
 		--with-optimisation="" \
-		--with-clvmd=cman \
+		--with-clvmd=cman,corosync,openais \
 		--with-cluster=internal \
 		--with-device-uid=0 \
 		--with-device-gid=6 \
 		--with-device-mode=0660 \
+		--with-default-run-dir=/run/lvm \
+		--with-default-locking-dir=/run/lock/lvm \
 		--enable-applib \
 		--enable-cmdlib \
 		--enable-pkgconfig \
@@ -90,7 +86,7 @@
 
 $(STAMPS_DIR)/setup_udeb: SOURCE_DIR = $(BUILD_DIR)/source
 $(STAMPS_DIR)/setup_udeb: DIR = $(BUILD_DIR)/build_udeb
-$(STAMPS_DIR)/setup_udeb: $(STAMPS_DIR)/patch
+$(STAMPS_DIR)/setup_udeb: $(STAMPS_DIR)/source
 	rm -rf $(DIR)
 	cp -a '$(SOURCE_DIR)' '$(DIR)'
 	cd $(DIR); \
@@ -205,33 +201,33 @@
 		BUILDDEB_ARGS="--filename=$(PACKAGE_FILE)" \
 		GENCONTROL_ARGS="-v$(DEVMAPPER_VERSION_DEBIAN)"
 
-install_liblvm2app: export DH_OPTIONS = -pliblvm2app$(LVM2APP_ABINAME)
-install_liblvm2app: DIR = $(BUILD_DIR)/install_deb
-install_liblvm2app: $(STAMPS_DIR)/install_deb
+install_liblvm2: export DH_OPTIONS = -pliblvm2app$(LVM2APP_ABINAME) -pliblvm2cmd$(LVM2CMD_ABINAME) -pliblvm2-dev
+install_liblvm2: DIR = $(BUILD_DIR)/install_deb
+install_liblvm2: $(STAMPS_DIR)/install_deb
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
 	dh_makeshlibs -V -- -c2
-	+$(MAKE_SELF) install-base
-
-install_liblvm2cmd: export DH_OPTIONS = -pliblvm2cmd$(LVM2CMD_ABINAME)
-install_liblvm2cmd: DIR = $(BUILD_DIR)/install_deb
-install_liblvm2cmd: $(STAMPS_DIR)/install_deb
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	dh_makeshlibs -V -- -c2
-	+$(MAKE_SELF) install-base
-
-install_liblvm2-dev: export DH_OPTIONS = -pliblvm2-dev
-install_liblvm2-dev: DIR = $(BUILD_DIR)/install_deb
-install_liblvm2-dev: $(STAMPS_DIR)/install_deb
-	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
 	+$(MAKE_SELF) install-base
 
 install_lvm2: export DH_OPTIONS = -plvm2
 install_lvm2: DIR = $(BUILD_DIR)/install_deb
 install_lvm2: $(STAMPS_DIR)/install_deb
 	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
-	dh_installinit --no-start -- start 26 S . start 50 0 6 .
+	dh_installinit --no-start -- start 26 S .
 	+$(MAKE_SELF) install-base
 
 install_lvm2-udeb: export DH_OPTIONS = -plvm2-udeb
 install_lvm2-udeb: DIR = $(BUILD_DIR)/install_udeb
 install_lvm2-udeb: $(STAMPS_DIR)/install_udeb
+	+$(MAKE_SELF) install-base-prep INSTALL_DIR='$(DIR)'
+	+$(MAKE_SELF) install-base
+
+binary-indep:
+binary-arch: $(addprefix install_,libdevmapper libdevmapper-udeb libdevmapper-dev dmsetup dmsetup-udeb liblvm2 lvm2 lvm2-udeb clvm)
+
+binary: binary-indep binary-arch
+
+DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
+TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.gz
+TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))
+
+orig: $(DIR_ORIG)
